• Unable to Install mintlocale


    Hi,

    I tried to install mintlocale from AUR but pacman returned this error:
    "Failure while downloading mintlocale_1.2.2.tar.gz"
    Any idea how to solve this?

    Thanks in advance

  • This PKGBUILD works (version 1.2.1)

    # Maintainer : Claire Farron <[email protected]>
    # Major Contributor : loqs (PKGBUILD, apt_pkg.patch)
    
    pkgname=mintlocale
    pkgver=1.2.1
    pkgrel=1
    pkgdesc="Locale selection for the Cinnamon Desktop"
    arch=('any')
    url="https://github.com/linuxmint/mintlocale"
    license=('GPL2')
    depends=('python2-gobject')
    source=("http://packages.linuxmint.com/pool/main/m/mintlocale/mintlocale_$pkgver.tar.gz"
            "apt_pkg.patch")
    
    sha256sums=('0fc9bbc1137cf7e0ba1fdbd9573bb2373ae89ea65029f3f3e8622a7b92f5ee27'
                'd18b6ae1a699b5a31436bbaf2a18d96d64a54e33a6d5daa1c60dfb0250f2dbc2')
    
    
    prepare() {
            cd "$srcdir/$pkgname"
            find -type f -print0 | xargs -0 sed -i '[email protected]^#!.*[email protected]#!/usr/bin/[email protected]'
            patch -p1 -i ../apt_pkg.patch
    }
    
    package() {
            cd "$srcdir/$pkgname"
            cp -r --no-preserve=owner usr $pkgdir
    }
    

    To create the package, put this in a PKGBUILD file and run makepkg -is

    Cheers!

  • Thanks, I installed the version 1.2.1.
    But now pacman show an upgrade for version 1.2.2, when I tried to upgrade it failed with the same error.
    I have mintlocale instaled, for me, this issue is solved!

pacman82 cinnamon74 aur39 Posts 4Views 1220
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.